=== debian/changelog ===
olsrd (0.6.1-4) unstable; urgency=low

  * Added debian/watch

 -- Roland Stigge <stigge@antcom.de>  Mon, 01 Aug 2011 21:54:18 +0200

olsrd (0.6.1-3) unstable; urgency=low

  * Added armv7l to arch list for -fPIC in make/Makefile.linux
    (Closes: #636205)

 -- Roland Stigge <stigge@antcom.de>  Mon, 01 Aug 2011 21:23:31 +0200

olsrd (0.6.1-2) unstable; urgency=low

  * Add patch to upstream to add mips and mips64 to -fPIC arch list
    (fixes FTBFS on mips*)

 -- Roland Stigge <stigge@antcom.de>  Sat, 07 May 2011 13:11:27 +0200

olsrd (0.6.1-1) unstable; urgency=low

  [ Holger Levsen ]
  * New upstream version with quite some fixes and new features, see upstream
    changelog for details. Quoting from there:
     Change in version number system. No more -rcX for release candidates and
     -rX for bugfix releases. In future bugfix releases or updates of plugins
     will increase the third digit of the version string while feature 
     releases will increase the first and/or the second one.
  * Update package description, OLSR is no experimental protocol anymore.

  [ Roland Stigge ]
  * New maintainer (Closes: #612277)
  * Adjusted debian patches to work with 0.6.1
  * debian/control:
    - Standards-Version: 3.9.2
    - Build-Depends: debhelper (>=8)
  * Debian source format: 3.0 (quilt)
  * Included remaining plugins
  * New upstream version works with newer kernels (Closes: #605296)
  * New upstream version fixes memory leak (Closes: #605295)

 -- Roland Stigge <stigge@antcom.de>  Tue, 03 May 2011 15:30:56 +0200

olsrd (0.5.6-r8-1) unstable; urgency=low

  * New upstream version, the eighth maintenance release of 0.5.6, introducing
    options to set the source and destination IP of the OLSR packets and a 
    more flexible handling config handling as well as some bug fixes including
    memory leaks.

 -- Holger Levsen <holger@debian.org>  Wed, 20 Jan 2010 01:13:43 +0000

olsrd (0.5.6-r7-1) unstable; urgency=low

  * New upstream version, the seventh maintenance release of 0.5.6, with some
    improvements in the ETX-FFmetric and new stabilization patches for the 
    route generation.

 -- Holger Levsen <holger@debian.org>  Wed, 11 Nov 2009 17:53:26 +0100

olsrd (0.5.6-r6-3) unstable; urgency=low

  * Brown paper bag release: add 270-make-kfbsd.patch to debian/patches/series
    so it actually gets applied. (Closes: #544758)

 -- Holger Levsen <holger@debian.org>  Mon, 19 Oct 2009 11:31:38 +0200

olsrd (0.5.6-r6-2) unstable; urgency=low

  * Do not override the general setting in Makefile.kfbsd to "honor DESTDIR 
    in make install". Thanks to Petr Salinger for the patch. (Closes: #544758)

 -- Holger Levsen <holger@debian.org>  Sat, 17 Oct 2009 13:00:41 +0000

olsrd (0.5.6-r6-1) unstable; urgency=low

  * New upstream version, the sixth maintenance release of 0.5.6, adding
    support for Debian kfreebsd (Closes: #544758) and including fixes for
    httpinfo, txtinfo and dotdraw plugin to prevent them blocking in case of
    timed out outgoing connections. 
    Drop 250-dot-draw-plugin-honor-accept-parameter.patch as it has been
    included in the new upstream release.
  * Fix incorrect runlevels and dependencies in init.d LSB header, thanks to
    Petter Reinholdtsen for spotting the issues and providing the patch.
    (Closes: #548607)
  * Bump standards version to 3.8.3, no changes necessary.

 -- Holger Levsen <holger@debian.org>  Sat, 10 Oct 2009 14:55:37 +0200

olsrd (0.5.6-r5-1) unstable; urgency=low

  * New upstream version, the fifth maintenance release of 0.5.6.
  * Add patch by Sebastian Harl to add a listen parameter to the dot_draw
    plugin. (Closes: #532573) - Thanks, Sebastian! 
  * Re-enable quagga plugin. Since olsrd is licenced under the 3 clause BSD 
    licence and quagga is GPL-2 code, the resuling binary is GPL-2 licenced
    too, and thats fine. (Closes: #532761)
    Add patch by Florian Forster to determine quagga protocol version - thanks
    Florian!
  * Add descriptions of quagga, bmf and txtinfo plugins to package 
    description. (Closes: #532765)
  * Bump standards version to 3.8.2.
  * Update years in debian/copyright.

 -- Holger Levsen <holger@debian.org>  Tue, 04 Aug 2009 12:10:35 +0000

olsrd (0.5.6-r4-1) unstable; urgency=low

  * New upstream version, the fourth maintenance release of 0.5.6.
  * olsrd.init: 
    - do not write the pidfile until olsrd has actually been started
      (Closes: #519842) - thanks to Sebastian Reichel for the bug report!
    - only start olsrd if it is not already running. 
  * Bump standards-version to 3.8.1.

 -- Holger Levsen <holger@debian.org>  Sat, 30 May 2009 09:14:27 +0000

olsrd (0.5.6-r3-1) unstable; urgency=low

  * New upstream release, the third maintenance release of 0.5.6.
  * Adopt debian/patches/200-etc-olsrd.patch to cope with the whitespace
    changes in the new release.

 -- Holger Levsen <holger@debian.org>  Sat, 14 Mar 2009 18:31:55 +0100

olsrd (0.5.6~rc7-1) unstable; urgency=low

  * New upstream release candidate.
  * Use a PID file. (Closes: #484128)
  * Bump standards-version to 3.8.0, no changes needed.
  * Install the plugins into /usr/lib/olsrd/, to get rid off all the lintian
    overrides. Adapted README.Debian to reflect that.
  * Compile the source without DESTDIR, just install it to DESTDIR.
  * Modify the plugin targets in the upstream Makefile to provide distinct
    $pluginname_install targets, otherwise DESTDIR shows up in rpath. 
  * Drop debian/patches/210-txtinfo-Makefile.patch as it has been adapted by
    upstream.

 -- Holger Levsen <holger@debian.org>  Sat, 12 Jul 2008 16:38:15 +0000

olsrd (0.5.5-3) unstable; urgency=low

  * No longer work around a bug in debhelper (#470913) in debian/rules,
    which was introduced in 0.5.5-2 to fix #471627. Due to this, it's also not
    necessary to manually uncompress and compress some manpages, as debhelper
    now handles this as well.

 -- Holger Levsen <holger@debian.org>  Wed,  2 Apr 2008 13:06:27 +0200


